##############################################################################
#
#   Humerus - A Skeleton Game built with Albow
#
#   By Gregory Ewing (greg.ewing@canterbury.ac.nz)
#
##############################################################################

import settings
from settings import get_command_line_options

def init_pygame():
	import pygame, pygame.mixer
	# Choice of buffer size seems to be critical for accurate sound timing.
	# 1102 is one 50ms frame time at 22050 samples/sec.
	bufsize = settings.sample_rate * settings.frame_time // (1000 * 8)
	pygame.mixer.pre_init(settings.sample_rate, -16, 1, bufsize)
	pygame.init()
	try:
		pygame.mixer.init()
	except pygame.error:
		pass

def main():
	get_command_line_options()
	# PyGame must be initialised before importing any further modules
	# so that image loading will work properly.
	init_pygame()
	display = pygame.display.set_mode(settings.screen_size, settings.flags)
	from shell import HumerusShell
	shell = HumerusShell(display)
	shell.run()

if __name__ == "__main__":
	main()
