#
#   Humerus - Screen
#

from pygame.locals import *
from albow.shell import Screen as AlbowScreen
from albow.controls import Button
from albow.resource import get_font

menu_font = get_font(24, "VeraBd.ttf")

class Screen(AlbowScreen):
	#  shell  Shell
	#  game   Game

	def __init__(self, shell):
		AlbowScreen.__init__(self, shell.rect)
		self.shell = shell
		self.game = shell.game
	
	def key_down(self, e):
		if e.key == K_ESCAPE:
			self.shell.show_menu()
		else:
			AlbowScreen.key_down(self, e)


def menu_button(title, action = None, enable = None, **kwds):
	return Button(title, action = action, enable = enable, font = menu_font,
		**kwds)
