#
#   Humerus - Py2App Setup Script
#
#
#   This creates a self-contained MacOSX application bundle from the game.
#
#   It is intended for the application to be distributed in a folder
#   alongside the following items:
#
#      Saves      - an empty directory for saved game files
#      Mods       - an empty directory for custom levels
#      README.txt - or any other material you want the user to see
#

application_name = "?????"

import sys
sys.path.insert(0, "Code")
print sys.path

from glob import glob

from distutils.core import setup
import py2app

setup(
    app=['Code/main.py'],
    data_files = [
    	('fonts', glob('Resources/fonts/*')),
    	('images', glob('Resources/images/*')),
    	('levels', glob('Resources/levels/*')),
    	('sounds', glob('Resources/sounds/*')),
    	('text', glob('Resources/text/*')),
    ],
    options = dict(
    	py2app = dict(
    		#includes = ['pygame'],
    		excludes = ['OpenGL'],
    		plist = dict(
    			CFBundleName = application_name,
    			#
    			#  Uncomment and edit below as desired
    			#
    			#CFBundleSignature = "????",
    			#CFBundleIconFile = "?????",
    			#CFBundleDocumentTypes = [
    			#	dict(CFBundleTypeName = "?????",
    			#		CFBundleTypeRole = "Editor",
    			#		#CFBundleTypeOSTypes = ["????"],
    			#		CFBundleTypeExtensions = ["???"],
    			#		CFBundleTypeIconFile = "?????",
    			#		)]
    			),
    	),
    )
)
